Skip to content

Revoke Protected Registry Customer

POST
/v1/packages/customers/{customer_slug}/revoke
curl --request POST \
--url 'https://example.com/v1/packages/customers/example/revoke?tenant_id='
customer_slug
required
Customer Slug
string
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string

Successful Response

Media typeapplication/json
PortalRegistryCustomerOut
object
tenant_id
Tenant Id
string
default: default
customer_slug
Customer Slug
string
""
display_name
Display Name
string
""
status
Status
string
default: active
updated_by
Updated By
string
""
updated_at
Updated At
string
""
Example
{
"tenant_id": "default",
"customer_slug": "",
"display_name": "",
"status": "active",
"updated_by": "",
"updated_at": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}